


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for boletin\views.py: 0%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>boletin\views.py</b> :
            <span class="pc_cov">0%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            109 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">0 run</span>
            <span class="mis shortkey_m button_toggle_mis">109 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="pln"><a href="#n1">1</a></p>
<p id="n2" class="stm mis"><a href="#n2">2</a></p>
<p id="n3" class="stm mis"><a href="#n3">3</a></p>
<p id="n4" class="stm mis"><a href="#n4">4</a></p>
<p id="n5" class="stm mis"><a href="#n5">5</a></p>
<p id="n6" class="stm mis"><a href="#n6">6</a></p>
<p id="n7" class="stm mis"><a href="#n7">7</a></p>
<p id="n8" class="stm mis"><a href="#n8">8</a></p>
<p id="n9" class="pln"><a href="#n9">9</a></p>
<p id="n10" class="stm mis"><a href="#n10">10</a></p>
<p id="n11" class="stm mis"><a href="#n11">11</a></p>
<p id="n12" class="stm mis"><a href="#n12">12</a></p>
<p id="n13" class="stm mis"><a href="#n13">13</a></p>
<p id="n14" class="stm mis"><a href="#n14">14</a></p>
<p id="n15" class="pln"><a href="#n15">15</a></p>
<p id="n16" class="pln"><a href="#n16">16</a></p>
<p id="n17" class="pln"><a href="#n17">17</a></p>
<p id="n18" class="pln"><a href="#n18">18</a></p>
<p id="n19" class="pln"><a href="#n19">19</a></p>
<p id="n20" class="pln"><a href="#n20">20</a></p>
<p id="n21" class="pln"><a href="#n21">21</a></p>
<p id="n22" class="stm mis"><a href="#n22">22</a></p>
<p id="n23" class="stm mis"><a href="#n23">23</a></p>
<p id="n24" class="pln"><a href="#n24">24</a></p>
<p id="n25" class="pln"><a href="#n25">25</a></p>
<p id="n26" class="stm mis"><a href="#n26">26</a></p>
<p id="n27" class="stm mis"><a href="#n27">27</a></p>
<p id="n28" class="pln"><a href="#n28">28</a></p>
<p id="n29" class="pln"><a href="#n29">29</a></p>
<p id="n30" class="stm mis"><a href="#n30">30</a></p>
<p id="n31" class="stm mis"><a href="#n31">31</a></p>
<p id="n32" class="pln"><a href="#n32">32</a></p>
<p id="n33" class="pln"><a href="#n33">33</a></p>
<p id="n34" class="stm mis"><a href="#n34">34</a></p>
<p id="n35" class="stm mis"><a href="#n35">35</a></p>
<p id="n36" class="pln"><a href="#n36">36</a></p>
<p id="n37" class="pln"><a href="#n37">37</a></p>
<p id="n38" class="stm mis"><a href="#n38">38</a></p>
<p id="n39" class="stm mis"><a href="#n39">39</a></p>
<p id="n40" class="pln"><a href="#n40">40</a></p>
<p id="n41" class="stm mis"><a href="#n41">41</a></p>
<p id="n42" class="stm mis"><a href="#n42">42</a></p>
<p id="n43" class="pln"><a href="#n43">43</a></p>
<p id="n44" class="pln"><a href="#n44">44</a></p>
<p id="n45" class="pln"><a href="#n45">45</a></p>
<p id="n46" class="stm mis"><a href="#n46">46</a></p>
<p id="n47" class="pln"><a href="#n47">47</a></p>
<p id="n48" class="stm mis"><a href="#n48">48</a></p>
<p id="n49" class="stm mis"><a href="#n49">49</a></p>
<p id="n50" class="pln"><a href="#n50">50</a></p>
<p id="n51" class="pln"><a href="#n51">51</a></p>
<p id="n52" class="stm mis"><a href="#n52">52</a></p>
<p id="n53" class="pln"><a href="#n53">53</a></p>
<p id="n54" class="stm mis"><a href="#n54">54</a></p>
<p id="n55" class="stm mis"><a href="#n55">55</a></p>
<p id="n56" class="stm mis"><a href="#n56">56</a></p>
<p id="n57" class="stm mis"><a href="#n57">57</a></p>
<p id="n58" class="stm mis"><a href="#n58">58</a></p>
<p id="n59" class="pln"><a href="#n59">59</a></p>
<p id="n60" class="stm mis"><a href="#n60">60</a></p>
<p id="n61" class="pln"><a href="#n61">61</a></p>
<p id="n62" class="pln"><a href="#n62">62</a></p>
<p id="n63" class="stm mis"><a href="#n63">63</a></p>
<p id="n64" class="stm mis"><a href="#n64">64</a></p>
<p id="n65" class="stm mis"><a href="#n65">65</a></p>
<p id="n66" class="stm mis"><a href="#n66">66</a></p>
<p id="n67" class="stm mis"><a href="#n67">67</a></p>
<p id="n68" class="stm mis"><a href="#n68">68</a></p>
<p id="n69" class="stm mis"><a href="#n69">69</a></p>
<p id="n70" class="stm mis"><a href="#n70">70</a></p>
<p id="n71" class="stm mis"><a href="#n71">71</a></p>
<p id="n72" class="pln"><a href="#n72">72</a></p>
<p id="n73" class="stm mis"><a href="#n73">73</a></p>
<p id="n74" class="pln"><a href="#n74">74</a></p>
<p id="n75" class="stm mis"><a href="#n75">75</a></p>
<p id="n76" class="pln"><a href="#n76">76</a></p>
<p id="n77" class="pln"><a href="#n77">77</a></p>
<p id="n78" class="stm mis"><a href="#n78">78</a></p>
<p id="n79" class="stm mis"><a href="#n79">79</a></p>
<p id="n80" class="stm mis"><a href="#n80">80</a></p>
<p id="n81" class="stm mis"><a href="#n81">81</a></p>
<p id="n82" class="pln"><a href="#n82">82</a></p>
<p id="n83" class="pln"><a href="#n83">83</a></p>
<p id="n84" class="stm mis"><a href="#n84">84</a></p>
<p id="n85" class="stm mis"><a href="#n85">85</a></p>
<p id="n86" class="stm mis"><a href="#n86">86</a></p>
<p id="n87" class="stm mis"><a href="#n87">87</a></p>
<p id="n88" class="stm mis"><a href="#n88">88</a></p>
<p id="n89" class="pln"><a href="#n89">89</a></p>
<p id="n90" class="pln"><a href="#n90">90</a></p>
<p id="n91" class="stm mis"><a href="#n91">91</a></p>
<p id="n92" class="stm mis"><a href="#n92">92</a></p>
<p id="n93" class="stm mis"><a href="#n93">93</a></p>
<p id="n94" class="stm mis"><a href="#n94">94</a></p>
<p id="n95" class="stm mis"><a href="#n95">95</a></p>
<p id="n96" class="stm mis"><a href="#n96">96</a></p>
<p id="n97" class="stm mis"><a href="#n97">97</a></p>
<p id="n98" class="stm mis"><a href="#n98">98</a></p>
<p id="n99" class="stm mis"><a href="#n99">99</a></p>
<p id="n100" class="stm mis"><a href="#n100">100</a></p>
<p id="n101" class="pln"><a href="#n101">101</a></p>
<p id="n102" class="pln"><a href="#n102">102</a></p>
<p id="n103" class="pln"><a href="#n103">103</a></p>
<p id="n104" class="pln"><a href="#n104">104</a></p>
<p id="n105" class="stm mis"><a href="#n105">105</a></p>
<p id="n106" class="stm mis"><a href="#n106">106</a></p>
<p id="n107" class="stm mis"><a href="#n107">107</a></p>
<p id="n108" class="stm mis"><a href="#n108">108</a></p>
<p id="n109" class="stm mis"><a href="#n109">109</a></p>
<p id="n110" class="stm mis"><a href="#n110">110</a></p>
<p id="n111" class="stm mis"><a href="#n111">111</a></p>
<p id="n112" class="pln"><a href="#n112">112</a></p>
<p id="n113" class="pln"><a href="#n113">113</a></p>
<p id="n114" class="stm mis"><a href="#n114">114</a></p>
<p id="n115" class="stm mis"><a href="#n115">115</a></p>
<p id="n116" class="stm mis"><a href="#n116">116</a></p>
<p id="n117" class="stm mis"><a href="#n117">117</a></p>
<p id="n118" class="pln"><a href="#n118">118</a></p>
<p id="n119" class="pln"><a href="#n119">119</a></p>
<p id="n120" class="pln"><a href="#n120">120</a></p>
<p id="n121" class="stm mis"><a href="#n121">121</a></p>
<p id="n122" class="pln"><a href="#n122">122</a></p>
<p id="n123" class="stm mis"><a href="#n123">123</a></p>
<p id="n124" class="stm mis"><a href="#n124">124</a></p>
<p id="n125" class="stm mis"><a href="#n125">125</a></p>
<p id="n126" class="stm mis"><a href="#n126">126</a></p>
<p id="n127" class="stm mis"><a href="#n127">127</a></p>
<p id="n128" class="stm mis"><a href="#n128">128</a></p>
<p id="n129" class="stm mis"><a href="#n129">129</a></p>
<p id="n130" class="stm mis"><a href="#n130">130</a></p>
<p id="n131" class="stm mis"><a href="#n131">131</a></p>
<p id="n132" class="pln"><a href="#n132">132</a></p>
<p id="n133" class="stm mis"><a href="#n133">133</a></p>
<p id="n134" class="stm mis"><a href="#n134">134</a></p>
<p id="n135" class="stm mis"><a href="#n135">135</a></p>
<p id="n136" class="stm mis"><a href="#n136">136</a></p>
<p id="n137" class="pln"><a href="#n137">137</a></p>
<p id="n138" class="stm mis"><a href="#n138">138</a></p>
<p id="n139" class="pln"><a href="#n139">139</a></p>
<p id="n140" class="pln"><a href="#n140">140</a></p>
<p id="n141" class="stm mis"><a href="#n141">141</a></p>
<p id="n142" class="stm mis"><a href="#n142">142</a></p>
<p id="n143" class="stm mis"><a href="#n143">143</a></p>
<p id="n144" class="stm mis"><a href="#n144">144</a></p>
<p id="n145" class="pln"><a href="#n145">145</a></p>
<p id="n146" class="pln"><a href="#n146">146</a></p>
<p id="n147" class="stm mis"><a href="#n147">147</a></p>
<p id="n148" class="pln"><a href="#n148">148</a></p>
<p id="n149" class="pln"><a href="#n149">149</a></p>
<p id="n150" class="stm mis"><a href="#n150">150</a></p>
<p id="n151" class="stm mis"><a href="#n151">151</a></p>
<p id="n152" class="stm mis"><a href="#n152">152</a></p>
<p id="n153" class="pln"><a href="#n153">153</a></p>
<p id="n154" class="pln"><a href="#n154">154</a></p>
<p id="n155" class="stm mis"><a href="#n155">155</a></p>
<p id="n156" class="pln"><a href="#n156">156</a></p>
<p id="n157" class="stm mis"><a href="#n157">157</a></p>
<p id="n158" class="stm mis"><a href="#n158">158</a></p>
<p id="n159" class="pln"><a href="#n159">159</a></p>
<p id="n160" class="stm mis"><a href="#n160">160</a></p>
<p id="n161" class="stm mis"><a href="#n161">161</a></p>
<p id="n162" class="stm mis"><a href="#n162">162</a></p>
<p id="n163" class="stm mis"><a href="#n163">163</a></p>
<p id="n164" class="stm mis"><a href="#n164">164</a></p>
<p id="n165" class="stm mis"><a href="#n165">165</a></p>
<p id="n166" class="stm mis"><a href="#n166">166</a></p>
<p id="n167" class="pln"><a href="#n167">167</a></p>
<p id="n168" class="stm mis"><a href="#n168">168</a></p>
<p id="n169" class="pln"><a href="#n169">169</a></p>
<p id="n170" class="pln"><a href="#n170">170</a></p>
<p id="n171" class="pln"><a href="#n171">171</a></p>
<p id="n172" class="pln"><a href="#n172">172</a></p>

            </td>
            <td class="text">
<p id="t1" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span><span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">User</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm mis"><span class="key">from</span> <span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">Perfil_Usuario</span><span class="op">,</span> <span class="nam">Servicio</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">http</span> <span class="key">import</span> <span class="nam">HttpResponse</span><span class="op">,</span> <span class="nam">HttpResponseRedirect</span><span class="strut">&nbsp;</span></p>
<p id="t5" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span> <span class="key">import</span> <span class="nam">authenticate</span><span class="op">,</span> <span class="nam">login</span><span class="strut">&nbsp;</span></p>
<p id="t6" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">shortcuts</span> <span class="key">import</span> <span class="nam">render</span><span class="op">,</span> <span class="nam">redirect</span><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span> <span class="key">import</span> <span class="nam">logout</span> <span class="key">as</span> <span class="nam">do_logout</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span> <span class="key">import</span> <span class="nam">authenticate</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t10" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span> <span class="key">import</span> <span class="nam">login</span> <span class="key">as</span> <span class="nam">do_login</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">views</span><span class="op">.</span><span class="nam">decorators</span><span class="op">.</span><span class="nam">csrf</span> <span class="key">import</span> <span class="nam">csrf_exempt</span><span class="strut">&nbsp;</span></p>
<p id="t12" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span><span class="op">.</span><span class="nam">decorators</span> <span class="key">import</span> <span class="nam">login_required</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">core</span><span class="op">.</span><span class="nam">mail</span> <span class="key">import</span> <span class="nam">send_mail</span><span class="op">,</span> <span class="nam">BadHeaderError</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span> <span class="key">import</span> <span class="nam">messages</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t16" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t17" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t18" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t19" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t20" class="pln"><span class="com"># Create your views here.</span><span class="strut">&nbsp;</span></p>
<p id="t21" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t22" class="stm mis"><span class="key">def</span> <span class="nam">index</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/index.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t24" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t25" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t26" class="stm mis"><span class="key">def</span> <span class="nam">consultar</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t27" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/consulta.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t28" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t29" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t30" class="stm mis"><span class="key">def</span> <span class="nam">nosotros</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/quienes_somos.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t32" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t33" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t34" class="stm mis"><span class="key">def</span> <span class="nam">registrar</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t35" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/registro.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t36" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t37" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t38" class="stm mis"><span class="key">def</span> <span class="nam">perfil</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t39" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/perfil.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t40" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t41" class="stm mis"><span class="key">def</span> <span class="nam">registroServ</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t42" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/servicio_form.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t43" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t44" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t45" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t46" class="stm mis"><span class="key">def</span> <span class="nam">crear</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t47" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t48" class="stm mis">    <span class="key">if</span> <span class="nam">request</span><span class="op">.</span><span class="nam">method</span> <span class="op">==</span> <span class="str">'POST'</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t49" class="stm mis">        <span class="nam">user</span> <span class="op">=</span> <span class="nam">User</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create_user</span><span class="op">(</span><span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t50" class="pln">            <span class="str">'usuario'</span><span class="op">)</span><span class="op">,</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'correo'</span><span class="op">)</span><span class="op">,</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'pass1'</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t51" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t52" class="stm mis">        <span class="nam">perfil</span> <span class="op">=</span> <span class="nam">Perfil_Usuario</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t53" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t54" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">User</span> <span class="op">=</span> <span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t55" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">nombre</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'nombre'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t56" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">edad</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'edad'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t57" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">genero</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'genero'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t58" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="nam">user</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t59" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t60" class="stm mis">    <span class="key">return</span> <span class="op">(</span><span class="nam">HttpResponseRedirect</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t61" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t62" class="pln"><span class="com">#logear usuario</span><span class="strut">&nbsp;</span></p>
<p id="t63" class="stm mis"><span class="op">@</span><span class="nam">csrf_exempt</span><span class="strut">&nbsp;</span></p>
<p id="t64" class="stm mis"><span class="key">def</span> <span class="nam">logear</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t65" class="stm mis">    <span class="key">if</span> <span class="nam">request</span><span class="op">.</span><span class="nam">method</span> <span class="op">==</span> <span class="str">'POST'</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t66" class="stm mis">        <span class="nam">usuario</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'usuarioL'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t67" class="stm mis">        <span class="nam">cont</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'passL'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t68" class="stm mis">        <span class="nam">user</span> <span class="op">=</span> <span class="nam">authenticate</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="nam">username</span><span class="op">=</span><span class="nam">usuario</span><span class="op">,</span> <span class="nam">password</span><span class="op">=</span><span class="nam">cont</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t69" class="stm mis">        <span class="key">if</span> <span class="nam">user</span> <span class="key">is</span> <span class="key">not</span> <span class="key">None</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t70" class="stm mis">            <span class="nam">login</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="nam">user</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t71" class="stm mis">            <span class="key">return</span> <span class="op">(</span><span class="nam">HttpResponseRedirect</span><span class="op">(</span><span class="str">'/listarServicios/'</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t72" class="pln">        <span class="key">else</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t73" class="stm mis">             <span class="key">return</span> <span class="op">(</span><span class="nam">HttpResponseRedirect</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t74" class="pln">    <span class="key">else</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t75" class="stm mis">        <span class="key">return</span> <span class="op">(</span><span class="nam">HttpResponse</span><span class="op">(</span><span class="str">'404 Not Found'</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t76" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t77" class="pln"><span class="com">#cerrar sesion</span><span class="strut">&nbsp;</span></p>
<p id="t78" class="stm mis"><span class="op">@</span><span class="nam">login_required</span><span class="strut">&nbsp;</span></p>
<p id="t79" class="stm mis"><span class="key">def</span> <span class="nam">cerrar</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t80" class="stm mis">    <span class="nam">do_logout</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t81" class="stm mis">    <span class="key">return</span><span class="op">(</span><span class="nam">HttpResponseRedirect</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t82" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t83" class="pln"><span class="com">#diccionario de datos</span><span class="strut">&nbsp;</span></p>
<p id="t84" class="stm mis"><span class="key">def</span> <span class="nam">diccionario</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t85" class="stm mis">    <span class="nam">usuario</span> <span class="op">=</span>  <span class="nam">request</span><span class="op">.</span><span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t86" class="stm mis">    <span class="nam">perfilUsuario</span> <span class="op">=</span> <span class="nam">Perfil_Usuario</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">User</span> <span class="op">=</span> <span class="nam">usuario</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t87" class="stm mis">    <span class="nam">datos_perfil</span> <span class="op">=</span> <span class="op">{</span><span class="str">'usuario'</span><span class="op">:</span> <span class="nam">perfilUsuario</span><span class="op">.</span><span class="nam">User</span><span class="op">,</span><span class="str">'nombre'</span><span class="op">:</span> <span class="nam">perfilUsuario</span><span class="op">.</span><span class="nam">nombre</span><span class="op">,</span> <span class="str">'genero'</span> <span class="op">:</span> <span class="nam">perfilUsuario</span><span class="op">.</span><span class="nam">genero</span> <span class="op">,</span> <span class="str">'email'</span><span class="op">:</span> <span class="nam">usuario</span><span class="op">.</span><span class="nam">email</span> <span class="op">,</span> <span class="str">'edad'</span> <span class="op">:</span> <span class="nam">perfilUsuario</span><span class="op">.</span><span class="nam">edad</span><span class="op">}</span><span class="strut">&nbsp;</span></p>
<p id="t88" class="stm mis">    <span class="key">return</span> <span class="nam">render</span> <span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/perfil.html'</span><span class="op">,</span> <span class="nam">datos_perfil</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t89" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t90" class="pln"><span class="com">#actualizar datos de usuario</span><span class="strut">&nbsp;</span></p>
<p id="t91" class="stm mis"><span class="key">def</span> <span class="nam">modificar</span> <span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t92" class="stm mis">    <span class="key">if</span> <span class="nam">request</span><span class="op">.</span><span class="nam">method</span> <span class="op">==</span> <span class="str">'POST'</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t93" class="stm mis">        <span class="nam">usuario</span><span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t94" class="stm mis">        <span class="nam">nomuser</span> <span class="op">=</span><span class="nam">Perfil_Usuario</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">User</span> <span class="op">=</span> <span class="nam">usuario</span> <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t95" class="stm mis">        <span class="nam">perfil</span> <span class="op">=</span> <span class="nam">Perfil_Usuario</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">pk</span> <span class="op">=</span> <span class="nam">nomuser</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t96" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">nombre</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'nombre'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t97" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">edad</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'edad'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t98" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">genero</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'genero'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t99" class="stm mis">        <span class="nam">perfil</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t100" class="stm mis">        <span class="key">return</span> <span class="nam">HttpResponseRedirect</span> <span class="op">(</span><span class="str">'/diccionario/'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t101" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t102" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t103" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t104" class="pln"><span class="com">#funcion cambiar contrse&#241;a de usuario</span><span class="strut">&nbsp;</span></p>
<p id="t105" class="stm mis"><span class="key">def</span> <span class="nam">cambiar</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t106" class="stm mis">    <span class="key">if</span> <span class="nam">request</span><span class="op">.</span><span class="nam">method</span> <span class="op">==</span> <span class="str">'POST'</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t107" class="stm mis">        <span class="nam">user</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t108" class="stm mis">        <span class="nam">contn</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'pass2'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t109" class="stm mis">        <span class="nam">user</span><span class="op">.</span><span class="nam">set_password</span><span class="op">(</span><span class="nam">contn</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t110" class="stm mis">        <span class="nam">user</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t111" class="stm mis">        <span class="key">return</span> <span class="nam">HttpResponseRedirect</span> <span class="op">(</span><span class="str">'/'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t112" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t113" class="pln"><span class="com">#crud crear registro de servicio</span><span class="strut">&nbsp;</span></p>
<p id="t114" class="stm mis"><span class="key">def</span> <span class="nam">registrarServicio</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t115" class="stm mis">    <span class="nam">user</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t116" class="stm mis">    <span class="nam">servicios</span><span class="op">=</span> <span class="nam">Servicio</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">buscar_all</span><span class="op">(</span><span class="nam">user</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t117" class="stm mis">    <span class="nam">idservicio</span> <span class="op">=</span> <span class="op">{</span><span class="strut">&nbsp;</span></p>
<p id="t118" class="pln">        <span class="str">'servicioS'</span><span class="op">:</span><span class="nam">servicios</span><span class="strut">&nbsp;</span></p>
<p id="t119" class="pln">    <span class="op">}</span><span class="strut">&nbsp;</span></p>
<p id="t120" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t121" class="stm mis">    <span class="key">if</span> <span class="nam">request</span><span class="op">.</span><span class="nam">method</span> <span class="op">==</span> <span class="str">'POST'</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t122" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t123" class="stm mis">        <span class="nam">servicios</span> <span class="op">=</span> <span class="nam">Servicio</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t124" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">nombre_servicio</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'nombre_servicio'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t125" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">rut_empresa</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'rut_empresa'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t126" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">nombre_empresa</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'nombre_empresa'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t127" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">cantidad_trabajadores</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'cantidad_trabajadores'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t128" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">servicio_requerido</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"servicio_requerido"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t129" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">inicio_contrato</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'inicio_contrato'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t130" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">termino_contrato</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">POST</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'termino_contrato'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t131" class="stm mis">        <span class="nam">servicios</span><span class="op">.</span><span class="nam">usuario_solicitante</span> <span class="op">=</span> <span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t132" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t133" class="stm mis">        <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t134" class="stm mis">            <span class="nam">servicios</span><span class="op">.</span><span class="nam">crearServicio</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t135" class="stm mis">        <span class="key">except</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t136" class="stm mis">            <span class="key">return</span> <span class="key">False</span><span class="strut">&nbsp;</span></p>
<p id="t137" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t138" class="stm mis">        <span class="key">return</span> <span class="nam">HttpResponseRedirect</span> <span class="op">(</span><span class="str">'/listarServicios'</span><span class="op">,</span> <span class="nam">idservicio</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t139" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t140" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t141" class="stm mis"><span class="key">def</span> <span class="nam">listarServicios</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t142" class="stm mis">    <span class="nam">user</span> <span class="op">=</span> <span class="nam">request</span><span class="op">.</span><span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t143" class="stm mis">    <span class="nam">servicios</span> <span class="op">=</span> <span class="nam">Servicio</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">buscar_all</span><span class="op">(</span><span class="nam">user</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t144" class="stm mis">    <span class="nam">idservicio</span> <span class="op">=</span> <span class="op">{</span><span class="strut">&nbsp;</span></p>
<p id="t145" class="pln">        <span class="str">'servicios'</span><span class="op">:</span><span class="nam">servicios</span><span class="strut">&nbsp;</span></p>
<p id="t146" class="pln">    <span class="op">}</span><span class="strut">&nbsp;</span></p>
<p id="t147" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/listar_servicios.html'</span><span class="op">,</span> <span class="nam">idservicio</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t148" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t149" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t150" class="stm mis"><span class="key">def</span> <span class="nam">detalleServicio</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="nam">id</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t151" class="stm mis">    <span class="nam">servicio</span> <span class="op">=</span> <span class="nam">Servicio</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">buscar</span><span class="op">(</span><span class="nam">id</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t152" class="stm mis">    <span class="nam">idservicio</span> <span class="op">=</span> <span class="op">{</span><span class="strut">&nbsp;</span></p>
<p id="t153" class="pln">        <span class="str">'servicio'</span><span class="op">:</span><span class="nam">servicio</span><span class="strut">&nbsp;</span></p>
<p id="t154" class="pln">    <span class="op">}</span><span class="strut">&nbsp;</span></p>
<p id="t155" class="stm mis">    <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="str">'boletin/modificar.html'</span><span class="op">,</span> <span class="nam">idservicio</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t156" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t157" class="stm mis"><span class="key">def</span> <span class="nam">eliminar</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="nam">id</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t158" class="stm mis">    <span class="nam">servicio</span> <span class="op">=</span> <span class="nam">Servicio</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">buscar</span><span class="op">(</span><span class="nam">id</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t159" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t160" class="stm mis">    <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t161" class="stm mis">        <span class="nam">servicio</span><span class="op">.</span><span class="nam">eliminar</span><span class="op">(</span><span class="nam">id</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t162" class="stm mis">        <span class="nam">mensaje</span> <span class="op">=</span> <span class="str">'Eliminado Correctamente'</span><span class="strut">&nbsp;</span></p>
<p id="t163" class="stm mis">        <span class="nam">messages</span><span class="op">.</span><span class="nam">success</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span><span class="nam">mensaje</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t164" class="stm mis">    <span class="key">except</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t165" class="stm mis">        <span class="nam">mensaje</span> <span class="op">=</span> <span class="str">'No se pudo Eliminar'</span><span class="strut">&nbsp;</span></p>
<p id="t166" class="stm mis">        <span class="nam">messages</span><span class="op">.</span><span class="nam">error</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span><span class="nam">mensaje</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t167" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t168" class="stm mis">    <span class="key">return</span> <span class="nam">redirect</span><span class="op">(</span><span class="str">'/listarServicios'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t169" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t170" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t171" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t172" class="pln"><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-11-26 22:13
        </p>
    </div>
</div>

</body>
</html>
